{"swagger":"2.0","basePath":"","info":{"title":"API (\u0413\u0435\u043d\u0435\u0440\u0430\u0446\u0438\u044f \u0441\u0435\u0440\u0442\u0438\u0444\u0438\u043a\u0430\u0442\u043e\u0432 \u0415\u0421\u0422\u0420) ::: 2020","version":"1.0.0"},"paths":{"\/api\/card_key_request\/post_gen":{"post":{"summary":"\u0413\u0435\u043d\u0435\u043d\u0438\u0440\u043e\u0432\u0430\u0442\u044c \u0441\u0435\u043a\u0440\u0435\u0442\u043d\u044b\u0439 \u043a\u043b\u044e\u0447 \u0438 \u0437\u0430\u043f\u0440\u043e\u0441 \u043d\u0430 \u0441\u0435\u0440\u0442\u0438\u0444\u0438\u043a\u0430\u0442","description":"\u041f\u043e\u0441\u043b\u0435 \u0437\u0430\u043f\u0440\u043e\u0441\u0430 \u0441\u043e\u0437\u0434\u0430\u044e\u0442\u0441\u044f \u043d\u043e\u0432\u0430\u044f \u043a\u043b\u044e\u0447\u0435\u0432\u0430\u044f \u043f\u0430\u0440\u0430 RSA, \u0444\u043e\u0440\u043c\u0438\u0440\u0443\u0435\u0442\u0441\u044f CHR \u0438 \u0437\u0430\u043f\u0440\u043e\u0441","consumes":["application\/json"],"parameters":[{"in":"body","name":"CardKeyRequest","description":"\u041f\u0430\u0440\u043c\u0435\u0442\u0440\u044b \u0444\u043e\u0440\u043c\u0438\u0440\u0432\u043e\u0430\u043d\u0438\u044f \u0437\u0430\u043f\u0440\u043e\u0441\u0430 \u043d\u0430 \u0441\u0435\u0440\u0442\u0438\u0444\u0438\u043a\u0430\u0442 \u043a\u0430\u0440\u0442\u044b","schema":{"type":"object","required":["name","createdAt","cardType"],"properties":{"name":{"type":"string"},"createdAt":{"type":"string","format":"datetime"},"cardType":{"type":"integer","default":1,"minimum":1,"maximum":4}}}}],"tags":["CardKeyRequest"],"operationId":"post_genCardKeyRequestCollection","produces":["application\/json","application\/hal+json","text\/html","multipart\/form-data"],"responses":{"201":{"description":"CardKeyRequest resource created","schema":{"$ref":"#\/definitions\/CardKeyRequest"}},"400":{"description":"Invalid input"},"404":{"description":"Resource not found"},"422":{"description":"Unprocessable entity"}}}},"\/api\/card_key_requests":{"post":{"tags":["CardKeyRequest"],"operationId":"postCardKeyRequestCollection","consumes":["application\/json","application\/hal+json","text\/html","multipart\/form-data"],"produces":["application\/json","application\/hal+json","text\/html","multipart\/form-data"],"summary":"Creates a CardKeyRequest resource.","responses":{"201":{"description":"CardKeyRequest resource created","schema":{"$ref":"#\/definitions\/CardKeyRequest"}},"400":{"description":"Invalid input"},"404":{"description":"Resource not found"},"422":{"description":"Unprocessable entity"}},"parameters":[{"name":"cardKeyRequest","in":"body","description":"The new CardKeyRequest resource","schema":{"$ref":"#\/definitions\/CardKeyRequest"}}]},"get":{"tags":["CardKeyRequest"],"operationId":"getCardKeyRequestCollection","produces":["application\/json","application\/hal+json","text\/html","multipart\/form-data"],"summary":"Retrieves the collection of CardKeyRequest resources.","responses":{"200":{"description":"CardKeyRequest collection response","schema":{"type":"array","items":{"$ref":"#\/definitions\/CardKeyRequest"}}}},"parameters":[{"name":"_page","in":"query","required":false,"description":"The collection page number","type":"integer"},{"name":"pagination","in":"query","required":false,"description":"Enable or disable pagination","type":"boolean"}]}},"\/api\/card_key_requests\/{id}":{"get":{"tags":["CardKeyRequest"],"operationId":"getCardKeyRequestItem","produces":["application\/json","application\/hal+json","text\/html","multipart\/form-data"],"summary":"Retrieves a CardKeyRequest resource.","parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"CardKeyRequest resource response","schema":{"$ref":"#\/definitions\/CardKeyRequest"}},"404":{"description":"Resource not found"}}},"put":{"tags":["CardKeyRequest"],"operationId":"putCardKeyRequestItem","consumes":["application\/json","application\/hal+json","text\/html","multipart\/form-data"],"produces":["application\/json","application\/hal+json","text\/html","multipart\/form-data"],"summary":"Replaces the CardKeyRequest resource.","parameters":[{"name":"id","in":"path","required":true,"type":"string"},{"name":"cardKeyRequest","in":"body","description":"The updated CardKeyRequest resource","schema":{"$ref":"#\/definitions\/CardKeyRequest"}}],"responses":{"200":{"description":"CardKeyRequest resource updated","schema":{"$ref":"#\/definitions\/CardKeyRequest"}},"400":{"description":"Invalid input"},"404":{"description":"Resource not found"},"422":{"description":"Unprocessable entity"}}},"delete":{"tags":["CardKeyRequest"],"operationId":"deleteCardKeyRequestItem","summary":"Removes the CardKeyRequest resource.","responses":{"204":{"description":"CardKeyRequest resource deleted"},"404":{"description":"Resource not found"}},"parameters":[{"name":"id","in":"path","required":true,"type":"string"}]}}},"security":[{"apiKey":[]}],"securityDefinitions":{"apiKey":{"type":"apiKey","in":"header","description":"Value for the X-AUTH-TOKEN header","name":"X-AUTH-TOKEN"}},"definitions":{"CardKeyRequest":{"type":"object","description":"","properties":{"rsaKeyPHex":{"type":"string"},"rsaKeyQHex":{"type":"string"},"rsaKeyDPHex":{"type":"string"},"rsaKeyDQHex":{"type":"string"},"rsaKeyInverseQHex":{"type":"string"},"rsaKeyDHex":{"type":"string"},"requestPublicKey":{"type":"string"},"requestSerialNumber":{"type":"integer"},"id":{"readOnly":true,"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"name":{"type":"string"},"cardType":{"minimum":1,"maximum":4,"default":1,"example":1,"type":"integer"},"chrHex":{"type":"string"},"rsaKeyExponentHex":{"type":"string"},"rsaKeyModulusHex":{"type":"string"}},"required":["createdAt","name","cardType"]}}}